apiVersion: apps/v1
kind: Deployment
metadata:
  name: home-service
  labels:
    app: home-service
    group: kubo
spec:
  replicas: 2
  selector:
    matchLabels:
      app: home-service
  template:
    metadata:
      labels:
        app: home-service
    spec:
      containers:
      - name: home-service
        image: registry.gitlab.com/azizoo/kubo/home:0.1
        ports:
        - containerPort: 80
        imagePullPolicy: Always
      imagePullSecrets:
      - name: registrykey

---
apiVersion: v1
kind: Service
metadata:
  name: home-service
spec:
  selector:
    app: home-service
  ports:
  - name: tcp
    port: 80
    targetPort: 80
  type: NodePort